NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Weld.JointItemBuilder Class Reference

Used to create or edit a Weld.WeldJoint feature. More...

Inheritance diagram for NXOpen.Weld.JointItemBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void DeleteCurve ()
 Deletes the joint curve from the builder. More...
 
unsafe double GetPortEngagement ()
 Returns the engagement distance of the parent port of the pipe joint More...
 
unsafe
NXOpen.Weld.EdgePrepValuesBuilder 
ReadEdgePrepValues ()
 Read edge prep values set by the user plugin function. More...
 
unsafe void SaveEdgePrepValues (NXOpen.Weld.EdgePrepValuesBuilder valuesBuilder)
 Save edge prep values to the Welding Joint. More...
 
unsafe void SetCallbackMessage (string message)
 Sets a message to display after callback processing ends More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector BackingFace [get]
 Returns the backing face. More...
 
unsafe NXOpen.Curve Curve [get]
 Returns the joint curve More...
 
unsafe NXOpen.Die.DieLimitsBuilder Limits [get]
 Returns the limits of the joint curve span. More...
 
unsafe NXOpen.ScCollector MasterEdge [get]
 Returns the master edge of a T-joint weld. More...
 
unsafe NXOpen.ScCollector PlacementFace [get]
 Returns the placement face of a T-joint weld. More...
 
unsafe NXOpen.ScCollector PrimaryEdge [get]
 Returns the primary edge of a butt weld. More...
 
unsafe NXOpen.ScCollector PrimaryFace [get]
 Returns the primary face of a butt weld. More...
 
unsafe NXOpen.Routing.SelectPort RoutingObject [get]
 Returns the routing port. More...
 
unsafe NXOpen.ScCollector SecondaryEdge [get]
 Returns the secondary edge of a butt weld. More...
 
unsafe NXOpen.ScCollector SecondaryFace [get]
 Returns the secondary face of a butt weld. More...
 
unsafe NXOpen.ScCollector TargetFace [get]
 Returns the target face of a T-joint weld. More...
 
unsafe bool UseCallbackValues [get, set]
 Returns or sets the indication to use the values of the callback to define the joint More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
WeldingCharacteristics [get]
 Returns the collection of welding characteristics defined by attributes. More...
 
unsafe int WeldType [get, set]
 Returns or sets the weld type More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Used to create or edit a Weld.WeldJoint feature.

To create a new instance of this class, use NXOpen.Weld.WeldJointBuilder.NewItem

Created in NX8.0.0

Member Function Documentation

unsafe void NXOpen.Weld.JointItemBuilder.DeleteCurve ( )
inline

Deletes the joint curve from the builder.

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Weld.JointItemBuilder.GetPortEngagement ( )
inline

Returns the engagement distance of the parent port of the pipe joint

Created in NX10.0.3

License requirements: None.

Returns
Engagement distance
unsafe NXOpen.Weld.EdgePrepValuesBuilder NXOpen.Weld.JointItemBuilder.ReadEdgePrepValues ( )
inline

Read edge prep values set by the user plugin function.

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Returns
unsafe void NXOpen.Weld.JointItemBuilder.SaveEdgePrepValues ( NXOpen.Weld.EdgePrepValuesBuilder  valuesBuilder)
inline

Save edge prep values to the Welding Joint.

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
valuesBuilder
unsafe void NXOpen.Weld.JointItemBuilder.SetCallbackMessage ( string  message)
inline

Sets a message to display after callback processing ends

Created in NX11.0.2

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
messageMessage to display to user
unsafe bool NXOpen.Weld.JointItemBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Weld.JointItemBuilder.BackingFace
get

Returns the backing face.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Curve NXOpen.Weld.JointItemBuilder.Curve
get

Returns the joint curve

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Die.DieLimitsBuilder NXOpen.Weld.JointItemBuilder.Limits
get

Returns the limits of the joint curve span.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.JointItemBuilder.MasterEdge
get

Returns the master edge of a T-joint weld.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.JointItemBuilder.PlacementFace
get

Returns the placement face of a T-joint weld.

For example, on a profile it is the face that touches the plate.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.JointItemBuilder.PrimaryEdge
get

Returns the primary edge of a butt weld.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.JointItemBuilder.PrimaryFace
get

Returns the primary face of a butt weld.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Routing.SelectPort NXOpen.Weld.JointItemBuilder.RoutingObject
get

Returns the routing port.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.JointItemBuilder.SecondaryEdge
get

Returns the secondary edge of a butt weld.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.JointItemBuilder.SecondaryFace
get

Returns the secondary face of a butt weld.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Weld.JointItemBuilder.TargetFace
get

Returns the target face of a T-joint weld.

For example, the plate face that the profile lies on.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Weld.JointItemBuilder.UseCallbackValues
getset

Returns or sets the indication to use the values of the callback to define the joint

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Weld.JointItemBuilder.WeldingCharacteristics
get

Returns the collection of welding characteristics defined by attributes.

Created in NX8.0.0

License requirements: None.

unsafe int NXOpen.Weld.JointItemBuilder.WeldType
getset

Returns or sets the weld type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.